> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Delete a bookmark from a tagged workbook

DELETE https://api.sigmacomputing.com/v2/workbooks/{workbookId}/tags/{tagName}/bookmarks/{bookmarkId}

Delete a bookmark from a version tagged workbook.

### Usage notes
- Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
- Retrieve the **tagName** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint and using the `name` in the response.
- Retrieve the **bookmarkId** by calling the [/v2/workbooks/{workbookId}/bookmarks](https://help.sigmacomputing.com/reference/get-workbook-bookmarks) endpoint.
  

Reference: https://help.sigmacomputing.com/reference/delete-tagged-workbook-bookmark

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/workbooks/{workbookId}/tags/{tagName}/bookmarks/{bookmarkId}:
    delete:
      operationId: deleteTaggedWorkbookBookmark
      summary: Delete a bookmark from a tagged workbook
      description: >-
        Delete a bookmark from a version tagged workbook.


        ### Usage notes

        - Retrieve the **workbookId** by calling the
        [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks)
        endpoint.

        - Retrieve the **tagName** by calling the
        [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag)
        endpoint and using the `name` in the response.

        - Retrieve the **bookmarkId** by calling the
        [/v2/workbooks/{workbookId}/bookmarks](https://help.sigmacomputing.com/reference/get-workbook-bookmarks)
        endpoint.
          
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: tagName
          in: path
          required: true
          schema:
            type: string
        - name: bookmarkId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workbooks_deleteTaggedWorkbookBookmark_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    workbooks_deleteTaggedWorkbookBookmark_Response_200:
      type: object
      properties: {}
      title: workbooks_deleteTaggedWorkbookBookmark_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210';
const options = {
  method: 'DELETE',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/workbooks/a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78/tags/release-2024-06/bookmarks/bookmark-9876543210")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```